Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.cms
Class CMSTypedDataInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--com.dstc.security.cms.CMSTypedDataInputStream

public class CMSTypedDataInputStream
extends FilterInputStream

A simple FilterInputStream class which wraps an underlying InputStream representing CMS content together with its content type.

See Also:
  `CMSCipher`, `CMSSignature`

Field Summary
`static int` | `DATA` Content type for CMS unprotected data
`static int` | `ENVELOPED_DATA` Content type for CMS enveloped data
`static int` | `SIGNED_DATA` Content type for CMS signed data

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`CMSTypedDataInputStream(InputStream is)` Constructs a CMSTypedInputStream from an InputStream with the content type set to `DATA`
`CMSTypedDataInputStream(int contentType, InputStream is)` Constructs a CMSTypedInputStream from an InputStream and a content type.

Method Summary
`int` | `getCMSDataType()` Returns the CMS content type associated with this InputStream

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA

    public static final int DATA

  Content type for CMS unprotected data

### SIGNED_DATA

    public static final int SIGNED_DATA

  Content type for CMS signed data

### ENVELOPED_DATA

    public static final int ENVELOPED_DATA

  Content type for CMS enveloped data

Constructor Detail

### CMSTypedDataInputStream

    public CMSTypedDataInputStream(InputStream is)

  Constructs a CMSTypedInputStream from an InputStream with the content type set to `DATA`

### CMSTypedDataInputStream

    public CMSTypedDataInputStream(int contentType,
                                   InputStream is)

  Constructs a CMSTypedInputStream from an InputStream and a content type.

Method Detail

### getCMSDataType

    public int getCMSDataType()

  Returns the CMS content type associated with this InputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD